org.bouncycastle.asn1.cms

## Class EncryptedContentInfoParser

- java.lang.Object
- - org.bouncycastle.asn1.cms.EncryptedContentInfoParser

    public class EncryptedContentInfoParser
    extends java.lang.Object

     EncryptedContentInfo ::= SEQUENCE {
         contentType ContentType,
         contentEncryptionAlgorithm ContentEncryptionAlgorithmIdentifier,
         encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL
     }

### Constructor Summary

Constructors
Constructor and Description
`EncryptedContentInfoParser(ASN1SequenceParser seq)`

### Method Summary

Methods
`AlgorithmIdentifier` `getContentEncryptionAlgorithm()`
`DERObjectIdentifier` `getContentType()`
`DEREncodable` `getEncryptedContent(int tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncryptedContentInfoParser

    public EncryptedContentInfoParser(ASN1SequenceParser seq)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getContentType

    public DERObjectIdentifier getContentType()

#### getContentEncryptionAlgorithm

    public AlgorithmIdentifier getContentEncryptionAlgorithm()

#### getEncryptedContent

    public DEREncodable getEncryptedContent(int tag)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`